package com.sunxung.factoring.entity.fundmanagement.vo;

import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * @Description : 上游合同信息
 * @Author : L.Jia
 * @Date: 2023-02-25 15:08
 */
public class UpstreamDetailVo {

    /** 合同Id **/
    private Long contractInfoId;

    /**
     * 上游合同编号
     **/
    private String upstreamContractNo;

    /**
     * 上游合同金额
     **/
    private String upstreamContractAmount;

    /**
     * 上游合同账期
     **/
    private String upstreamContractPaymentDays;

    /**
     * 上游应收账款金额
     **/
    private String upstreamAccountsReceivableAmount;

    /**
     * 上游采购合同文件
     **/
    private List<FileStorage> upstreamPurchContractFiles;

    /**
     * 上游结算单文件
     **/
    private List<FileStorage> upstreamSettlementFiles;

    /**
     * 上游发票
     **/
    private List<FileStorage> upstreamInvoiceFiles;

    /**
     * 上游采购合同文件Id
     **/
    private List<Long> upstreamPurchContractFileIds;

    /**
     * 上游结算单文件Id
     **/
    private List<Long> upstreamSettlementFileIds;

    /**
     * 上游发票Id
     **/
    private List<Long> upstreamInvoiceFileIds;

    public String getUpstreamContractNo() {
        return upstreamContractNo;
    }

    public void setUpstreamContractNo(String upstreamContractNo) {
        this.upstreamContractNo = upstreamContractNo;
    }

    public String getUpstreamContractAmount() {
        return upstreamContractAmount;
    }

    public void setUpstreamContractAmount(String upstreamContractAmount) {
        this.upstreamContractAmount = upstreamContractAmount;
    }

    public String getUpstreamContractPaymentDays() {
        return upstreamContractPaymentDays;
    }

    public void setUpstreamContractPaymentDays(String upstreamContractPaymentDays) {
        this.upstreamContractPaymentDays = upstreamContractPaymentDays;
    }

    public String getUpstreamAccountsReceivableAmount() {
        return upstreamAccountsReceivableAmount;
    }

    public void setUpstreamAccountsReceivableAmount(String upstreamAccountsReceivableAmount) {
        this.upstreamAccountsReceivableAmount = upstreamAccountsReceivableAmount;
    }

    public List<FileStorage> getUpstreamPurchContractFiles() {
        return upstreamPurchContractFiles;
    }

    public void setUpstreamPurchContractFiles(List<FileStorage> upstreamPurchContractFiles) {
        this.upstreamPurchContractFiles = upstreamPurchContractFiles;
    }

    public List<FileStorage> getUpstreamSettlementFiles() {
        return upstreamSettlementFiles;
    }

    public void setUpstreamSettlementFiles(List<FileStorage> upstreamSettlementFiles) {
        this.upstreamSettlementFiles = upstreamSettlementFiles;
    }

    public List<FileStorage> getUpstreamInvoiceFiles() {
        return upstreamInvoiceFiles;
    }

    public void setUpstreamInvoiceFiles(List<FileStorage> upstreamInvoiceFiles) {
        this.upstreamInvoiceFiles = upstreamInvoiceFiles;
    }

    public List<Long> getUpstreamPurchContractFileIds() {
        return upstreamPurchContractFileIds;
    }

    public void setUpstreamPurchContractFileIds(List<Long> upstreamPurchContractFileIds) {
        this.upstreamPurchContractFileIds = upstreamPurchContractFileIds;
    }

    public List<Long> getUpstreamSettlementFileIds() {
        return upstreamSettlementFileIds;
    }

    public void setUpstreamSettlementFileIds(List<Long> upstreamSettlementFileIds) {
        this.upstreamSettlementFileIds = upstreamSettlementFileIds;
    }

    public List<Long> getUpstreamInvoiceFileIds() {
        return upstreamInvoiceFileIds;
    }

    public void setUpstreamInvoiceFileIds(List<Long> upstreamInvoiceFileIds) {
        this.upstreamInvoiceFileIds = upstreamInvoiceFileIds;
    }

    public Long getContractInfoId() {
        return contractInfoId;
    }

    public void setContractInfoId(Long contractInfoId) {
        this.contractInfoId = contractInfoId;
    }
}
